package com.fp.armas.portal.model;

import java.io.Serializable;
import javax.persistence.*;
import java.sql.Timestamp;
import java.math.BigDecimal;
import java.util.Date;


/**
 * The persistent class for the TCUSTCOMPANY database table.
 * 
 */
@Entity
public class Tcustcompany implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TcustcompanyPK id;

	private String businessclasscatalog;

	private String businessclasscatalogcode;

	private String businesstypecatalog;

	private String businesstypecatalogcode;

	private String commercialregister;

	@Temporal(TemporalType.DATE)
	private Date constitutiondate;

	private BigDecimal contributedcapital;

	private String corporatepurpose;

	private Timestamp datefrom;

	private Integer employeenumber;

	private String employercode;

	@Temporal(TemporalType.DATE)
	private Date expirationdate;

	private String ingressuser;

	private String institutiontypecatalog;

	private String institutiontypecatalogcode;

	private Integer membersnumber;

	private String modifyuser;

	private Integer nominalcapital;

	private String operativestatuscatalog;

	private String operativestatuscatalogcode;

	private Integer originalcapital;

	@Lob
	private byte[] picture;
	
	@Column(name="LOGO")
	private Integer logo;

	@Version
	private Long recordversion;

	//bi-directional many-to-one association to Tgenefile
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="LOGO", insertable=false, updatable=false)
	private Tgenefile tgenefile;

	public Tcustcompany() {
	}

	public TcustcompanyPK getId() {
		return this.id;
	}

	public void setId(TcustcompanyPK id) {
		this.id = id;
	}

	public String getBusinessclasscatalog() {
		return this.businessclasscatalog;
	}

	public void setBusinessclasscatalog(String businessclasscatalog) {
		this.businessclasscatalog = businessclasscatalog;
	}

	public String getBusinessclasscatalogcode() {
		return this.businessclasscatalogcode;
	}

	public void setBusinessclasscatalogcode(String businessclasscatalogcode) {
		this.businessclasscatalogcode = businessclasscatalogcode;
	}

	public String getBusinesstypecatalog() {
		return this.businesstypecatalog;
	}

	public void setBusinesstypecatalog(String businesstypecatalog) {
		this.businesstypecatalog = businesstypecatalog;
	}

	public String getBusinesstypecatalogcode() {
		return this.businesstypecatalogcode;
	}

	public void setBusinesstypecatalogcode(String businesstypecatalogcode) {
		this.businesstypecatalogcode = businesstypecatalogcode;
	}

	public String getCommercialregister() {
		return this.commercialregister;
	}

	public void setCommercialregister(String commercialregister) {
		this.commercialregister = commercialregister;
	}

	public Date getConstitutiondate() {
		return this.constitutiondate;
	}

	public void setConstitutiondate(Date constitutiondate) {
		this.constitutiondate = constitutiondate;
	}

	public BigDecimal getContributedcapital() {
		return this.contributedcapital;
	}

	public void setContributedcapital(BigDecimal contributedcapital) {
		this.contributedcapital = contributedcapital;
	}

	public String getCorporatepurpose() {
		return this.corporatepurpose;
	}

	public void setCorporatepurpose(String corporatepurpose) {
		this.corporatepurpose = corporatepurpose;
	}

	public Timestamp getDatefrom() {
		return this.datefrom;
	}

	public void setDatefrom(Timestamp datefrom) {
		this.datefrom = datefrom;
	}

	public Integer getEmployeenumber() {
		return this.employeenumber;
	}

	public void setEmployeenumber(Integer employeenumber) {
		this.employeenumber = employeenumber;
	}

	public String getEmployercode() {
		return this.employercode;
	}

	public void setEmployercode(String employercode) {
		this.employercode = employercode;
	}

	public Date getExpirationdate() {
		return this.expirationdate;
	}

	public void setExpirationdate(Date expirationdate) {
		this.expirationdate = expirationdate;
	}

	public String getIngressuser() {
		return this.ingressuser;
	}

	public void setIngressuser(String ingressuser) {
		this.ingressuser = ingressuser;
	}

	public String getInstitutiontypecatalog() {
		return this.institutiontypecatalog;
	}

	public void setInstitutiontypecatalog(String institutiontypecatalog) {
		this.institutiontypecatalog = institutiontypecatalog;
	}

	public String getInstitutiontypecatalogcode() {
		return this.institutiontypecatalogcode;
	}

	public void setInstitutiontypecatalogcode(String institutiontypecatalogcode) {
		this.institutiontypecatalogcode = institutiontypecatalogcode;
	}

	public Integer getMembersnumber() {
		return this.membersnumber;
	}

	public void setMembersnumber(Integer membersnumber) {
		this.membersnumber = membersnumber;
	}

	public String getModifyuser() {
		return this.modifyuser;
	}

	public void setModifyuser(String modifyuser) {
		this.modifyuser = modifyuser;
	}

	public Integer getNominalcapital() {
		return this.nominalcapital;
	}

	public void setNominalcapital(Integer nominalcapital) {
		this.nominalcapital = nominalcapital;
	}

	public String getOperativestatuscatalog() {
		return this.operativestatuscatalog;
	}

	public void setOperativestatuscatalog(String operativestatuscatalog) {
		this.operativestatuscatalog = operativestatuscatalog;
	}

	public String getOperativestatuscatalogcode() {
		return this.operativestatuscatalogcode;
	}

	public void setOperativestatuscatalogcode(String operativestatuscatalogcode) {
		this.operativestatuscatalogcode = operativestatuscatalogcode;
	}

	public Integer getOriginalcapital() {
		return this.originalcapital;
	}

	public void setOriginalcapital(Integer originalcapital) {
		this.originalcapital = originalcapital;
	}

	public byte[] getPicture() {
		return this.picture;
	}

	public void setPicture(byte[] picture) {
		this.picture = picture;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}

	public Tgenefile getTgenefile() {
		return this.tgenefile;
	}

	public void setTgenefile(Tgenefile tgenefile) {
		this.tgenefile = tgenefile;
	}

	public Integer getLogo() {
		return logo;
	}

	public void setLogo(Integer logo) {
		this.logo = logo;
	}

}